#include <stdio.h>
#include <stdlib.h>


void	rom_load(const char *name, int offset, int size, char* region) {
    FILE *rom;
    rom=fopen(name,"rb");
    if (rom != NULL) {
        fread(&region[offset],sizeof(char),size,rom);
        printf("loading %s...\n",name);
        fclose(rom);
    } else {
        fprintf(stderr,"Error: unable to load %s\n",name);
        exit(1);
    }
}
